juzu

## Class Response.Status

- java.lang.Object
- - juzu.Response
  - - juzu.Response.Status

- Direct Known Subclasses:
    Response.Body
  Enclosing class:
    Response

      public static class Response.Status
      extends Response

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class juzu.Response

      `Response.Body, Response.Content, Response.Error, Response.Redirect, Response.Status, Response.View`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Response.Status(int code)`
    `Response.Status(int code, PropertyMap properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Response.Body` | `body(byte[] s)`
    `Response.Body` | `body(CharSequence s)`
    `Response.Body` | `body(ChunkBuffer s)`
    `Response.Body` | `body(InputStream s)`
    `Response.Content` | `content(byte[] s)`
    `Response.Content` | `content(CharSequence s)`
    `Response.Content` | `content(InputStream s)`
    `Response.Content` | `content(Streamable s)`
    `int` | `getCode()`
    `Result.Status` | `result()`
    `Response.Status` | `with(PropertyType<Boolean> propertyType)` Set a boolean property to true.
    `<T> Response.Status` | `with(PropertyType<T> propertyType, T propertyValue)` Set a property, if the value is null, the property is removed.
    `Response.Status` | `withHeader(String name, String... value)`
    `Response.Status` | `withNo(PropertyType<Boolean> propertyType)` Set a boolean property to false.
    `<T> Response.Status` | `without(PropertyType<T> propertyType)` Removes a property.

    - ### Methods inherited from class juzu.Response

      `content, content, content, content, content, error, error, getProperties, notFound, notFound, notFound, notFound, notFound, ok, ok, ok, ok, ok, redirect, status`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Response.Status

          public Response.Status(int code)

    - #### Response.Status

          public Response.Status(int code,
                         PropertyMap properties)

  - ### Method Detail

    - #### getCode

          public final int getCode()

    - #### body

          public Response.Body body(ChunkBuffer s)

    - #### body

          public Response.Body body(CharSequence s)

    - #### body

          public Response.Body body(byte[] s)

    - #### body

          public Response.Body body(InputStream s)

    - #### content

          public Response.Content content(Streamable s)

    - #### content

          public Response.Content content(CharSequence s)

    - #### content

          public Response.Content content(byte[] s)

    - #### content

          public Response.Content content(InputStream s)

    - #### withHeader

          public Response.Status withHeader(String name,
                                   String... value)

      Overrides:
        `withHeader` in class `Response`

    - #### withNo

          public Response.Status withNo(PropertyType<Boolean> propertyType)
                                 throws NullPointerException

      Description copied from class: `Response`
      Set a boolean property to false.
      Overrides:
        `withNo` in class `Response`
      Parameters:
        `propertyType` - the property type
      Throws:
        `NullPointerException` - if the property type is null

    - #### with

          public Response.Status with(PropertyType<Boolean> propertyType)
                               throws NullPointerException

      Description copied from class: `Response`
      Set a boolean property to true.
      Overrides:
        `with` in class `Response`
      Parameters:
        `propertyType` - the property type
      Throws:
        `NullPointerException` - if the property type is null

    - #### without

          public <T> Response.Status without(PropertyType<T> propertyType)
                                  throws NullPointerException

      Description copied from class: `Response`
      Removes a property.
      Overrides:
        `without` in class `Response`
      Parameters:
        `propertyType` - the property type
      Throws:
        `NullPointerException` - if the property type is null

    - #### with

          public <T> Response.Status with(PropertyType<T> propertyType,
                                 T propertyValue)
                               throws NullPointerException

      Description copied from class: `Response`
      Set a property, if the value is null, the property is removed.
      Overrides:
        `with` in class `Response`
      Parameters:
        `propertyType` - the property type
        `propertyValue` - the property value
      Throws:
        `NullPointerException` - if the property type is null

    - #### result

          public Result.Status result()

      Specified by:
        `result` in class `Response`

Copyright © 2013 eXo Platform SAS. All Rights Reserved.